package com.revolsys.io.esri.gdb.xml.model.enums;

public enum FieldType {
  /** Long Integer. */
  esriFieldTypeInteger,

  /** Integer. */
  esriFieldTypeSmallInteger,

  /** Double-precision floating-point number. */
  esriFieldTypeDouble,

  /** Single-precision floating-point number. */
  esriFieldTypeSingle,

  /** Character string. */
  esriFieldTypeString,

  /** Date. */
  esriFieldTypeDate,

  /** Geometry. */
  esriFieldTypeGeometry,

  /** Long Integer representing an object identifier. */
  esriFieldTypeOID,

  /** Binary Large Object. */
  esriFieldTypeBlob,

  /** ESRI Global ID. */
  esriFieldTypeGlobalID,

  /** Raster. */
  esriFieldTypeRaster,

  /** Globally Unique Idendifier. */
  esriFieldTypeGUID,

  /** XML Document. */
  esriFieldTypeXML,
}
